"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;


  var wrapVisitor = {
    ObjectExpression: function ObjectExpression(path) {

      path.replaceWith(t.callExpression(t.identifier("Object.freeze"), [path.node]));

      path.stop();
    }
  };

  return {
    visitor: {
      VariableDeclaration: function VariableDeclaration(path) {
        var varDeclaration = path.node.declarations[0];
        var name = varDeclaration.id.name;

        path.traverse(wrapVisitor, { name: name });
      }
    }
  };
};